### A free/open-source library for quantitative finance

Classes | Public Member Functions
TwoFactorModel Class Reference
Short-rate modelling framework

Abstract base-class for two-factor models. More...

`#include <ql/models/shortrate/twofactormodel.hpp>`

Inheritance diagram for TwoFactorModel:
[legend]

List of all members.

## Classes

class | ShortRateDynamics
| Class describing the dynamics of the two state variables. More...
class | ShortRateTree
| Recombining two-dimensional tree discretizing the state variable. More...

## Public Member Functions

| TwoFactorModel (Size nParams)
virtual boost::shared_ptr < ShortRateDynamics > | dynamics () const =0
| Returns the short-rate dynamics.
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Returns a two-dimensional trinomial tree.

## Detailed Description

Abstract base-class for two-factor models.